Index: squid/src/useragent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/useragent.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/src/useragent.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/src/useragent.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: useragent.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: useragent.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
  *
  * DEBUG: section 40    User-Agent logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
@@ -50,7 +50,7 @@
 	cache_useragent_log = NULL;
     }
     if (fname && strcmp(fname, "none") != 0) {
-	log_fd = file_open(fname, O_WRONLY | O_CREAT | O_APPEND, NULL, NULL, NULL);
+	log_fd = file_open(fname, O_WRONLY | O_CREAT | O_APPEND);
 	if (log_fd < 0) {
 	    debug(50, 0) ("useragentOpenLog: %s: %s\n", fname, xstrerror());
 	} else if ((cache_useragent_log = fdopen(log_fd, "a")) == NULL) {
@@ -87,7 +87,7 @@
 	i--;
 	snprintf(from, MAXPATHLEN, "%s.%d", fname, i - 1);
 	snprintf(to, MAXPATHLEN, "%s.%d", fname, i);
-	rename(from, to);
+	xrename(from, to);
     }
     if (cache_useragent_log) {
 	file_close(fileno(cache_useragent_log));
@@ -97,7 +97,7 @@
     /* Rotate the current log to .0 */
     if (Config.Log.rotateNumber > 0) {
 	snprintf(to, MAXPATHLEN, "%s.%d", fname, 0);
-	rename(fname, to);
+	xrename(fname, to);
     }
     useragentOpenLog();
 #endif
Index: squid/src/wccp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wccp.c,v
retrieving revision 1.1
retrieving revision 1.1.1.1
diff -u -r1.1 -r1.1.1.1
--- squid/src/wccp.c	26 Jan 2000 03:25:01 -0000	1.1
+++ squid/src/wccp.c	26 Jan 2000 03:25:01 -0000	1.1.1.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wccp.c,v 1.1 2000/01/26 03:25:01 hno Exp $
+ * $Id: wccp.c,v 1.1.1.1 2000/01/26 03:25:01 hno Exp $
  *
  * DEBUG: section 80     WCCP Support
  * AUTHOR: Glenn Chisholm
Index: squid/test-suite/tcp-banger2.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/tcp-banger2.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/test-suite/tcp-banger2.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/test-suite/tcp-banger2.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 #include "config.h"
 
-/* $Id: tcp-banger2.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $ */
+/* $Id: tcp-banger2.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $ */
 
 /*
  * On some systems, FD_SETSIZE is set to something lower than the
